from rest_framework import serializers

from meleager.models import Comment


class CommentSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Comment
        fields = "__all__"

    passages = serializers.HyperlinkedRelatedField(
        many=True, read_only=True, source="passages", view_name="passage-detail"
    )
