from django import forms

from meleager.models import Language, Text


class AddTextToPassageForm(forms.ModelForm):
    language = forms.ModelChoiceField(queryset=Language.objects.preferred())

    class Meta:
        model = Text
        fields = ("text", "language")
