from django.urls import path

from ..views.descriptions import (
    description_create,
    description_delete,
    description_update,
)

urlpatterns = [
    path(
        "<int:passage_pk>/create/",
        description_create,
        name="description-create",
    ),
    path(
        "<int:passage_pk>/<int:description_pk>/update/",
        description_update,
        name="description-update",
    ),
    path(
        "<int:passage_pk>/<int:description_pk>/delete/",
        description_delete,
        name="description-delete",
    ),
]
