from django.db import models

from .mixins import EditableResourceMixin


class AlternativeUri(EditableResourceMixin, models.Model):
    source = models.CharField(max_length=100, null=False, blank=True, default="")
    uri = models.URLField()

    def __str__(self):
        return f"AltUri {self.source} {self.uri}"