from rest_framework import serializers

from meleager.models import Work

from .description import DescriptionSerializer


class WorkSerializer(serializers.HyperlinkedModelSerializer):
    descriptions = DescriptionSerializer(many=True)

    class Meta:
        model = Work
        fields = "__all__"
