from django import forms
from meleager.models import Author, Name
from web.forms.name import NameWidget


class AuthorForm(forms.ModelForm):
    names = forms.ModelMultipleChoiceField(
        queryset=Name.objects.exclude(authors=None), widget=NameWidget()
    )

    class Meta:
        model = Author
        fields = ["city_born", "city_died", "names"]
