from django.urls import path

from ..views.keywords import add_keyword_to_passage, remove_keyword_from_passage

urlpatterns = [
    path(
        "add/<int:passage_pk>/",
        add_keyword_to_passage,
        name="passage-add-keyword",
    ),
    path(
        "remove/<int:passage_pk>/",
        remove_keyword_from_passage,
        name="passage-remove-keyword",
    ),
]
